.slick-slider .slick-arrow {
  font-size: 0;
  position: absolute;
  top: -.7rem;
  z-index: 10;
  &:before, &:after {
    border-right: 2px solid white;
    border-bottom: 2px solid white;
    content: '';
    height: .8rem;
    position: absolute;
    width: .8rem;
    @screen lg {
      height: 1rem;
      width: 1rem;
    }
  }
  &.slick-next {
    transform: rotate(-45deg);
  }

  &.slick-prev {
    transform: rotate(135deg);
  }
}

.header-carousel {
  display: block;
  margin: 0 auto;
  position: relative;

  img {
    filter: brightness(60%);
  }

  .header-carousel--text {
    @apply font-alt text-4xl sm:text-5xl uppercase lg:text-7xl;
    max-width: 1200px;
    position: absolute;
    margin-left: 10%;
    bottom: 11.5%;
    height: 85%;
    width: 85%;

    @screen xl {
      bottom: 27%;
    }
  }


  img {
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    transition: all 800ms ease-in-out;
    transform: scale(1.15, 1.15);
    width: 100%;
    height: 458px;
    object-fit: cover;
    margin-bottom: -3px;

    @screen md {
      height: auto;
    }
  }

  .slick-slide {
    clip-path: polygon(0 0, 100% 0, 100% 95%, 0% 100%);
  }

  .slick-active {
    z-index: 1000;
    img {
      transform: scale(1, 1);
    }

    .header-carousel--text {
      animation: right_to_left 1s ease;
    }
  }

  @keyframes right_to_left {
    from {
      margin-left: 20%;
    }
    to {
      margin-left: 10%;
    }
  }

  .slick-arrow {
    font-size: 0;
    position: absolute;
    right: 20%;
    top: 80%;
    z-index: 10;

    @screen sm {
    right: 10%;
    }
    @screen xl {
      top: 60%;
    }

    &:before, &:after {
    border-right: 3px solid white;
    border-bottom: 3px solid white;
    color: white;
    content: '';
    height: 1.3rem;
    position: absolute;
    width: 1.3rem;
      @screen sm {
      border-right: 2px solid white;
      border-bottom: 2px solid white;
      height: .8rem;
      width: .8rem;
        }
      @screen lg {
        height: 1rem;
        width: 1rem;
      }
    }

    &.slick-next {
      transform: rotate(-45deg);
    }

    &.slick-prev {
      transform: rotate(135deg);
    }
  }

  .slick-dots {
    color: white;
    left: 10%;
    position: absolute;
    top: 90%;
    z-index: 10;

    @screen sm {
      left: 5%;
      top: 65%;
    }

    @screen xl {
      top: 50%;
    }

    li {
    display:inline-block;
    border: 1px solid white;
    border-radius: 50%;
    height: 6px;
    width: 6px;
    margin: 3px;

      @screen sm {
        display: block;
        margin-bottom: 6px;
      }
      &.slick-active {
        background-color: white;
      }

      button {
        font-size: 0;
      }
    }
  }
}

.btn-carousel{
  @apply h-11;
  top: 28%;
}

.article-carousel {
  .slick-arrow {
    right: 10%;
    @screen lg {
      right: 5%;
    }

    &:before, &:after {
      border-color: black;
    }

    &.slick-disabled {
      &:before, &:after {
        border-color: #B3B3B3;
      }
    }
  }
}

div.twitter-carousel {
  div.slick-track {
    display: flex;
  }

  div.slick-slide {
    display: flex;
    height: auto;
    margin-right: 1rem;

    & > div {
      height: 100%;
    }
  }

  .slick-arrow {
    right: 10%;
    @screen lg {
      right: 5%;
    }

    &:before, &:after {
      border-color: black;
    }

    &.slick-disabled {
      &:before, &:after {
        border-color: #B3B3B3;
      }
    }
  }
}

.twitter-carousel {
  position: relative;

  .slick-arrow {
    top: -2.6rem;
  }
  &:before {
    @screen lg {
      background: linear-gradient(90deg, rgba(2,0,36,0) 0%, rgba(255,255,255,1) 100%);
    }
    content: '';
    height: 100%;
    right: 0;
    position: absolute;
    width: 10%;
    z-index: 100;
  }
}
